curl -X POST 'https://api.sendforsign.com/api/settings' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"type": "brandings",
"clientKey": "YOUR_CLIENT_KEY",
"branding": {
"emailFrom": "",
"emailDomain": "",
"recipientLinkDomain": "",
"emailExplainer": "",
"emailLogo": "",
"emailButtonColor": "",
"recipientPageBranding": true
}
}
}'
{
"code": "201",
"message": "Settings updated"
}
Settings
Custom branding
Implement your brand presence.
POST
/
api
/
settings
curl -X POST 'https://api.sendforsign.com/api/settings' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"type": "brandings",
"clientKey": "YOUR_CLIENT_KEY",
"branding": {
"emailFrom": "",
"emailDomain": "",
"recipientLinkDomain": "",
"emailExplainer": "",
"emailLogo": "",
"emailButtonColor": "",
"recipientPageBranding": true
}
}
}'
{
"code": "201",
"message": "Settings updated"
}
You can customize the appearance of the emails you send via Sendforsign’s infrastructure, use your own email domain,
change the domain of recipient links you generate, and more.
Body parameters
object
required
Show child attribute
Show child attribute
string
required
Settings type.
string
required
Key of the client.
object
required
Structure.
Show child attribute
Show child attribute
string
The sender’s name that will be shown in the emails you send to recipients.
string
Available for Business accounts only. You’ll need input from the Sendforsign team—contact your account manager.
string
Available for Business accounts only. You’ll need input from the Sendforsign team—contact your account manager.
string
A short text shown at the bottom of the emails you send to recipients.
string
The logo that will be shown in the emails you send to recipients. Provide a public URL to a PNG, JPG, JPEG, or SVG image (W154 x H30).
string
The button color that will be shown in the emails you send to recipients. Provide a hex code; the default is #1677ff.
boolean
Available for Business accounts only. You’ll need input from the Sendforsign team—contact your account manager.
Response
string
The code of the answer.
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/settings' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"type": "brandings",
"clientKey": "YOUR_CLIENT_KEY",
"branding": {
"emailFrom": "",
"emailDomain": "",
"recipientLinkDomain": "",
"emailExplainer": "",
"emailLogo": "",
"emailButtonColor": "",
"recipientPageBranding": true
}
}
}'
{
"code": "201",
"message": "Settings updated"
}
⌘I